## ia32-libs-openoffice.org 17

=== build/wince/tools/Makefile ===


all:
	cl vs8ppc2003arm/arm-wince-as.c
	mv arm-wince-as.exe vs8ppc2003arm
	cl vs8ppc2003arm/arm-wince-gcc.c
	mv arm-wince-gcc.exe vs8ppc2003arm
	cl vs8ppc2003arm/arm-wince-lib.c
	mv arm-wince-lib.exe vs8ppc2003arm
	cl vs8ppc2003arm/arm-wince-link.c
	mv arm-wince-link.exe vs8ppc2003arm
	rm -f *.obj
	devenv ../shunt/build/vs8/mozce_shunt_static.sln /rebuild "Release|Pocket PC 2003 (ARMV4)"

clobber:
	rm -f vs8ppc2003arm/*.exe
	rm -f vs8ppc2003arm/*.obj
	rm -f *.obj
	rm -f *.exe
	devenv ../shunt/build/vs8/mozce_shunt_static.sln /clean "Release|Pocket PC 2003 (ARMV4)"

=== security/nss/pkg/linux/Makefile ===
#
# Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the Netscape security libraries.
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 1994-2000
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****
#
#ident	"$Id: Makefile,v 1.8.8.3 2006/05/15 17:45:53 wtchang%redhat.com Exp $"
#

CORE_DEPTH = ../../..

NAME        = sun-nss
ifndef RPM_RELEASE
RPM_RELEASE = 1
endif
VERSION     = `grep NSS_VERSION $(CORE_DEPTH)/../dist/public/nss/nss.h \
		| head -1 \
		| sed -e 's/"$$//' -e 's/.*"//' -e 's/ .*//'`
PWD         = `pwd`
BUILDROOT   = $(PWD)\/$(NAME)-root

include $(CORE_DEPTH)/coreconf/config.mk

# Force i386 for non 64 bit build
ifneq ($(USE_64),1)
	RPMTARGET = "--target=i386"
	RPMLIBDIR = lib
else
	RPMLIBDIR = lib64
endif


publish:
	$(MAKE) clean
	mkdir -p SOURCES SRPMS RPMS BUILD
	mkdir -p opt/sun/private/$(RPMLIBDIR) 
	find $(CORE_DEPTH)/../dist/$(OBJDIR)/lib -type l \
		\( -name "*.so" -o -name "*.chk" \) \
	-exec cp {} opt/sun/private/$(RPMLIBDIR) \;
	rm -f opt/sun/private/$(RPMLIBDIR)/libnspr4.so \
	   opt/sun/private/$(RPMLIBDIR)/libplc4.so \
	   opt/sun/private/$(RPMLIBDIR)/libplds4.so \
	   opt/sun/private/$(RPMLIBDIR)/libjss*.so
	mkdir -p opt/sun/private/bin
	(cd $(CORE_DEPTH)/../dist/$(OBJDIR)/bin && tar cphf - \
		certutil cmsutil crlutil modutil pk12util signtool \
		signver ssltap addbuiltin ) | (cd opt/sun/private/bin && tar xvfBp -)
	(cd $(CORE_DEPTH)/../dist/public && tar cphf - .) \
		| (mkdir -p opt/sun/private/include && cd opt/sun/private/include && tar xvfBp -)
	rm -rf opt/sun/private/include/seccmd
	rm -rf opt/sun/private/include/dbm

	tar czvf $(NAME)-$(VERSION).tar.gz opt 
	echo "%define _topdir `pwd`" >temp.spec
	sed -e "s/NAME_REPLACE/$(NAME)/" \
		-e "s/VERSION_REPLACE/$(VERSION)/" \
		-e "s/RELEASE_REPLACE/$(RPM_RELEASE)/" \
	<$(NAME).spec >>temp.spec
	echo "" >>temp.spec
	echo "%files" >>temp.spec
	echo "%defattr(-,root,root)" >>temp.spec
	echo "%dir /opt" >>temp.spec
	echo "%dir /opt/sun" >>temp.spec
	echo "%dir /opt/sun/private" >>temp.spec
	echo "%dir /opt/sun/private/$(RPMLIBDIR)" >>temp.spec
	echo "%dir /opt/sun/private/bin" >>temp.spec
	find opt \( -name "*.so" -o -name "*.chk" -o -type f \
		-perm u=rwx,g=rx,o=rx \) | sed -e "s-^-/-" >>temp.spec
	echo "" >>temp.spec
	echo "%files devel" >>temp.spec
	echo "%defattr(-,root,root)" >>temp.spec
	echo "%dir /opt" >>temp.spec
	echo "%dir /opt/sun" >>temp.spec
	echo "%dir /opt/sun/private" >>temp.spec
	echo "%dir /opt/sun/private/include" >>temp.spec
	echo "%dir /opt/sun/private/include/nss" >>temp.spec
	find opt -type f \( -name "*.h" \) \
		| sed -e "s-^-/-" >>temp.spec
	cp $(NAME)-$(VERSION).tar.gz SOURCES
	rpmbuild $(RPMTARGET) -bb temp.spec

clean::
	rm -rf SOURCES SRPMS RPMS BUILD
	rm -rf opt 
	rm -f temp.spec
	rm -f $(NAME)-$(VERSION).tar.gz

include $(CORE_DEPTH)/coreconf/rules.mk

=== security/nss/lib/ckfw/capi/Makefile ===
# 
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the Netscape security libraries.
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 1994-2000
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****
MAKEFILE_CVS_ID = "@(#) $RCSfile: Makefile,v $ $Revision: 1.2.6.2 $ $Date: 2006/02/03 22:30:52 $"

include manifest.mn
include $(CORE_DEPTH)/coreconf/config.mk
include config.mk

EXTRA_LIBS = \
	$(DIST)/lib/$(LIB_PREFIX)nssckfw.$(LIB_SUFFIX) \
	$(DIST)/lib/$(LIB_PREFIX)nssb.$(LIB_SUFFIX) \
	$(NULL)

# can't do this in manifest.mn because OS_TARGET isn't defined there.
ifeq (,$(filter-out WIN%,$(OS_TARGET)))

ifdef NS_USE_GCC
EXTRA_LIBS += \
	-L$(NSPR_LIB_DIR) \
	-lplc4 \
	-lplds4 \
	-lnspr4 \
	$(NULL)
else 
EXTRA_SHARED_LIBS += \
        $(NSPR_LIB_DIR)/$(NSPR31_LIB_PREFIX)plc4.lib \
        $(NSPR_LIB_DIR)/$(NSPR31_LIB_PREFIX)plds4.lib \
        $(NSPR_LIB_DIR)/$(NSPR31_LIB_PREFIX)nspr4.lib \
        crypt32.lib \
	advapi32.lib \
	rpcrt4.lib \
        $(NULL)
endif # NS_USE_GCC
else

EXTRA_LIBS += \
	-L$(NSPR_LIB_DIR) \
	-lplc4 \
	-lplds4 \
	-lnspr4 \
	$(NULL)
endif


include $(CORE_DEPTH)/coreconf/rules.mk

# Generate certdata.c.
generate:
	perl certdata.perl < certdata.txt

# This'll need some help from a build person.


ifeq ($(OS_TARGET)$(OS_RELEASE), AIX4.1)
DSO_LDOPTS              = -bM:SRE -bh:4 -bnoentry
EXTRA_DSO_LDOPTS        = -lc
MKSHLIB                 = xlC $(DSO_LDOPTS)

$(SHARED_LIBRARY): $(OBJS)
	@$(MAKE_OBJDIR)
	rm -f $@
	$(MKSHLIB) -o $@ $(OBJS) $(EXTRA_LIBS) $(EXTRA_DSO_LDOPTS)
	chmod +x $@

endif

ifeq ($(OS_TARGET)$(OS_RELEASE), AIX4.2)
LD      += -G
endif

## ia32-libs-openoffice.org 1ubuntu2

=== debian/changelog ===
ia32-libs-openoffice.org (1ubuntu2) warty; urgency=low

  * Add libmyspell3 to list of packages we use. (#1986)
  * Run ldconfig after installation/removal

 -- Tollef Fog Heen <tfheen@raw.no>  Sat,  2 Oct 2004 11:26:59 +0200

ia32-libs-openoffice.org (1ubuntu1) warty; urgency=low

  * Initial packaging.
  
 -- Tollef Fog Heen <tfheen@raw.no>  Fri, 10 Sep 2004 15:08:06 +0200

=== debian/control ===
Source: ia32-libs-openoffice.org
Section: libs
Priority: optional
Maintainer: Daniel Jacobowitz <dan@debian.org>
Build-Depends: debhelper (>> 3.0.0), dpkg-dev (>= 1.10.22ubuntu1)
Standards-Version: 3.6.1.0

Package: ia32-libs-openoffice.org
Architecture: amd64 ia64
Depends: ia32-libs (>= 0.5ubuntu2)
Description: ia32 shared libraries for with OpenOffice.org
 This package delivers a set of pre-compiled ia32 (i386 family) shared
 libraries, so that OpenOffice.org for ia32 can be executed on 64-bit
 systems that include appropriate emulation support.

## ia32-libs-openoffice.org 1ubuntu4

=== debian/changelog ===
ia32-libs-openoffice.org (1ubuntu4) hoary; urgency=low

  * Add libstartup-notification0, needed for OOo 1.1.3

 -- Tollef Fog Heen <tfheen@canonical.com>  Wed, 12 Jan 2005 22:26:30 +0100

ia32-libs-openoffice.org (1ubuntu3) hoary; urgency=low

  * Remove libgcc1 / gcc-3.4.
  * Add dependency on lib32gcc1.

 -- Matthias Klose <m@klose.in-berlin.de>  Mon,  8 Nov 2004 01:52:17 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: ia32-libs-openoffice.org
 Architecture: amd64 ia64
-Depends: ia32-libs (>= 0.5ubuntu2)
+Depends: lib32gcc1 (>= 3.4.2-2ubuntu3), ia32-libs (>= 0.5ubuntu2)
 Description: ia32 shared libraries for with OpenOffice.org
  This package delivers a set of pre-compiled ia32 (i386 family) shared
  libraries, so that OpenOffice.org for ia32 can be executed on 64-bit

=== debian/rules ===
#!/usr/bin/make -f

export DH_COMPAT=3

# Lowest version with fully ABI compatible libraries
SHLIB_VERSION=0.2

build:
#	./fetch-and-build

clean:
	dh_testdir
	dh_testroot
	rm -rf DEBIAN
	rm -f debian/create-diversions debian/remove-diversions
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

# Extract all debs
	for i in `cd pkgs ; /bin/ls *.deb` ; do \
		dpkg-deb -x pkgs/$$i debian/ia32-libs-openoffice.org/ ; done

# Fix up some things
	for d in lib usr/lib X11R6/lib; do \
		[ -d debian/ia32-libs-openoffice.org/$$d ] && \
		mv debian/ia32-libs-openoffice.org/$$d debian/ia32-libs-openoffice.org/$${d}32 || true; \
	done

	rm -rf debian/ia32-libs-openoffice.org/usr/include \
		debian/ia32-libs-openoffice.org/usr/share \
		debian/ia32-libs-openoffice.org/usr/sbin \
		debian/ia32-libs-openoffice.org/sys \
		debian/ia32-libs-openoffice.org/sbin \
		debian/ia32-libs-openoffice.org/usr/bin

	dh_installdirs
	# Fix symlinks.
	for link in $$(find debian/ia32-libs-openoffice.org -type l); do\
	  dest=$$(readlink $$link);					\
	  rm -f $$link;							\
	  ln -s $$(echo $$dest | sed 's,/lib/,/lib32/,') $$link;	\
	done

	echo -e "# packages used in the creation of ia32-libs-openoffice.org\n" > \
	debian/ia32-libs-openoffice.org/usr/share/doc/ia32-libs-openoffice.org/Manifest
	(cd pkgs; /bin/ls *.deb) >> debian/ia32-libs-openoffice.org/usr/share/doc/ia32-libs-openoffice.org/Manifest

binary-indep:

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installchangelogs 
#	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## ia32-libs-openoffice.org 11

=== debian/changelog ===
ia32-libs-openoffice.org (11) dapper; urgency=low

  * Freshen packages.
  * Tighten dependency on ia32-libs.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Apr 2006 21:06:19 +0000

ia32-libs-openoffice.org (10) dapper; urgency=low

  * Freshen packages.
  * Tighten dependency on ia32-libs.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 30 Mar 2006 09:47:56 +0000

ia32-libs-openoffice.org (9) dapper; urgency=low

  * Add libgcj7, while investigating failure with lib32gcj7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Mar 2006 17:32:20 +0000

ia32-libs-openoffice.org (8) dapper; urgency=low

  * Freshen packages (new libicu34).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Mar 2006 09:02:28 +0000

ia32-libs-openoffice.org (7) dapper; urgency=low

  * Freshen packages.
  * Drop libgnutls11, add libgnutls12.
  * debian/preinst: Check for and remove leftover diversions,
    due to a typo in breezy's postrm.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 12 Mar 2006 15:27:08 +0100

ia32-libs-openoffice.org (6) dapper; urgency=low

  * Drop the libexpat1, libfontconfig1 packages, found in the ia32-libs
    package. Ubuntu #33422.

 -- Matthias Klose <doko@ubuntu.com>  Thu,  2 Mar 2006 16:01:36 +0000

ia32-libs-openoffice.org (5) dapper; urgency=low

  * Make the conflict on openoffice.org2-core versioned (<< 2.0.1oob680m5).

 -- Matthias Klose <doko@ubuntu.com>  Thu,  2 Mar 2006 03:08:44 +0000

ia32-libs-openoffice.org (4) dapper; urgency=low

  * Drop libidn11, libcairo2, libxrender1, libpng12-0, tighten
    dependency on ia32libs.

 -- Matthias Klose <doko@ubuntu.com>  Wed,  1 Mar 2006 20:55:11 +0000

ia32-libs-openoffice.org (3) dapper; urgency=low

  * Freshen packages for dapper.
  * Tighten dependency on ia32-libs.
  * Conflicts with older openoffice.org-core package.
  * Add libcurl3, libicu34, libneon25, libssl0.9.8, libflac7, libkrb53,
    libldap2, libnspr4, libnss3, libxslt1.1, libwpd8c2a, libcomerr2, libidn11,
    libgnutls11, libsasl2, libxmlsec1, libxmlsec1-nss, libxmlsec1-openssl,
    libgcrypt11,libgpg-error0, libtasn1-2, libmdbtools.
  * Move cairo related packages from the ia32-libs-gtk package: libcairo2,
    libxrender1, libpng12-0.
  * Drop libmyspell3c2.

 -- Matthias Klose <doko@ubuntu.com>  Wed,  1 Mar 2006 14:48:44 +0100

ia32-libs-openoffice.org (2-0ubuntu1) breezy; urgency=low

  * Add libportaudio0, needed for ooo2

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Tue, 30 Aug 2005 09:13:03 +0200

=== debian/control ===
Source: ia32-libs-openoffice.org
Section: libs
Priority: optional
Maintainer: Tollef Fog Heen <tfheen@ubuntu.com>
Build-Depends: debhelper (>> 4.0.0), dpkg-dev (>= 1.10.22ubuntu1)
Standards-Version: 3.6.2

Package: ia32-libs-openoffice.org
Architecture: amd64 ia64
Depends: ia32-libs (>= 1.4ubuntu17)
Conflicts: openoffice.org2-core (<< 2.0.1oob680m5), lib32gcj7
Description: ia32 shared libraries for with OpenOffice.org
 This package delivers a set of pre-compiled ia32 (i386 family) shared
 libraries, so that OpenOffice.org for ia32 can be executed on 64-bit
 systems that include appropriate emulation support.

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,6 @@
-#!/usr/bin/make -f
+#! /usr/bin/make -f
 
-export DH_COMPAT=3
-
-# Lowest version with fully ABI compatible libraries
-SHLIB_VERSION=0.2
+ORIGVERSION=$(shell dpkg-parsechangelog | grep ^Version | sed -e 's/Version: //' -e 's/-[[:alnum:]]*$$//')
 
 build:
 #	./fetch-and-build
@@ -30,6 +27,9 @@
 		[ -d debian/ia32-libs-openoffice.org/$$d ] && \
 		mv debian/ia32-libs-openoffice.org/$$d debian/ia32-libs-openoffice.org/$${d}32 || true; \
 	done
+
+	rm -rf debian/ia32-libs-openoffice.org/usr/lib32/gcj-4.1
+	rm -f debian/ia32-libs-openoffice.org/usr/lib32/libgjsmalsa.so*
 
 	rm -rf debian/ia32-libs-openoffice.org/usr/include \
 		debian/ia32-libs-openoffice.org/usr/share \
@@ -70,5 +70,8 @@
 	dh_md5sums
 	dh_builddeb
 
+make-orig:
+	tar cvzf ../ia32-libs-openoffice.org_$(ORIGVERSION).orig.tar.gz pkgs srcs
+
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure

## ia32-libs-openoffice.org 17

=== debian/changelog ===
gcc-defaults (1.41ubuntu2) edgy; urgency=low

  * Build libgcj-bc from the gcc-defaults source package.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Aug 2006 11:42:06 +0200

gcc-defaults (1.41ubuntu1) edgy; urgency=low

  * gij: Add symlinks for gcj-dbtool, grmiregistry.
  * gcj: Add symlinks for gcjh-wrapper.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Aug 2006 14:59:07 +0000

gcc-defaults (1.41) unstable; urgency= low

  [Ludovic Brenta]
  * Do not build gnat on m32r.  Closes: #379079.

  [Michael Banck]
  * debian/control (Build-Depends): Conditionalize gcj-4.1 to !hurd-i386.
  * debian/rules:
    + Use hurd-i386, not gnu-i386 when matching DEB_HOST_ARCH.
    + Add gcj and gij to no_packages for hurd-i386.
  * Closes: #381018.

  [Matthias Klose]
  * Do not build dependency packages for -doc packages licensed under the GFDL.
  * Do not install symlinks for manpages licensed under the GFDL.
    Closes: #200003.
  * README: Mention gfortran.
  * Add paragraph about missing GFDL'd docs and manual pages.

 -- Matthias Klose <doko@debian.org>  Sun, 13 Aug 2006 23:42:01 +0200

gcc-defaults (1.40) unstable; urgency=low

  * Don't build gnat-doc on arm and m68k.

 -- Matthias Klose <doko@debian.org>  Sat, 15 Jul 2006 22:04:21 +0000

gcc-defaults (1.39) unstable; urgency=medium

  * Fix another build failure on arm.
  * Update the README.

 -- Matthias Klose <doko@debian.org>  Sat, 15 Jul 2006 12:09:14 +0000

gcc-defaults (1.38) unstable; urgency=low

  * Fix the build failure on arm (don't try to build gnat).
  * Set section of -doc packages to doc.
  * Drop the libgcj-dev package; let gcj provide libgcj-dev.
  * gcj: Add a symlink /usr/share/java/libgcj.jar.

 -- Matthias Klose <doko@debian.org>  Thu,  6 Jul 2006 03:18:27 +0200

gcc-defaults (1.37) unstable; urgency=medium

  [Ludovic Brenta]
  * Provide a gnat package that depends on the default Ada compiler.
  * Update README.Debian for gnat, gfortran.  Simplify it.
  * debian/rules: reorder architectures alphabetically for future
    maintainability.  Clean up the way we exclude some languages
    on some architectures.  Disable Ada on m68k and GNU/Hurd, in
    addition to GNU/NetBSD, SH3 and SH4 targets.
  * debian/control (gnat): depend on cpp.

  [Matthias Klose]
  * Build a gnat-doc package.
  * Remove chill from the control file.
  * gcj: Add a /usr/share/java/libgcj.jar symlink.

 -- Matthias Klose <doko@debian.org>  Tue,  4 Jul 2006 23:52:43 +0200
	

gcc-defaults (1.36) unstable; urgency=medium

  * Make gcc-4.1 the default C compiler, g++-4.1 the default C++ compiler,
    gobjc-4.1 the default ObjC compiler, treelang-4.1 the default Treelang
    compiler, gfortran-4.1 the default Fortran compiler.
    Closes: #366820.
  * Don't build the chill package anymore.
  * Build-depend on gcj-4.1-base, instead of gcc-4.0-base. Closes: #367952.

 -- Matthias Klose <doko@debian.org>  Tue,  6 Jun 2006 03:10:08 +0200

gcc-defaults (1.35) unstable; urgency=low

  * Make gij-4.1/gcj-4.1 the default gij/gcj.
  * gij: Add a conflict to java-gcj-compat (<< 1.0.56).
  * Fix typo in gpc package description (closes: #363619).
  * gobjc++: Recommend g++ and gobjc.
  * Handle c89/c99 binaries by alternatives (closes: #365039).

 -- Matthias Klose <doko@debian.org>  Sun,  7 May 2006 11:09:59 +0200

gcc-defaults (1.34) unstable; urgency=low

  * Fix typo in debian/rules.

 -- Matthias Klose <doko@debian.org>  Sun,  2 Apr 2006 13:46:30 +0000

gcc-defaults (1.33) unstable; urgency=low

  * Add gobjc++ package.
  * Build-Depend on gcc-4.1-base.

 -- Matthias Klose <doko@debian.org>  Sat,  1 Apr 2006 12:21:34 +0000

gcc-defaults (1.32) unstable; urgency=low

  * Depend on the 3.4.6 and 4.0.3 final releases.
  * Build-depend on the appropriate gcc-X.Y-base, gcj-X.Y-base packages.

 -- Matthias Klose <doko@debian.org>  Thu, 23 Mar 2006 22:36:58 +0100

gcc-defaults (1.31) unstable; urgency=low

  * Use epoch for all packages.

 -- Matthias Klose <doko@debian.org>  Sat, 24 Dec 2005 02:46:58 +0100

gcc-defaults (1.30) unstable; urgency=medium

  * Fix gfortran prerm script (closes: #334081).
  * Clarify gfortran package description (closes: #333348).
  * Remove version number of release, picky RM ... (closes: #321092).
  * Build java packages for mips again.
  * Update c99(1) man page (closes: #324687).
  * Depend on the 3.4.5 final release, depend on the g++ versions
    after changing the libstdc++ allocator.
  * Handle /lib/cpp as an alternative.
  * gcj: Depend on libgcj-dev and gij.

 -- Matthias Klose <doko@debian.org>  Sun, 11 Dec 2005 10:58:11 +0100

gcc-defaults (1.29) unstable; urgency=low

  * Depend on the 4.0.2 final release.
  * Build gfortran for m68k.

 -- Matthias Klose <doko@debian.org>  Mon,  3 Oct 2005 22:28:43 +0000

gcc-defaults (1.28) unstable; urgency=low

  * Change build system to allow upload of versions of the form
    [0-9]+.[0-9]+<anything>.

 -- Matthias Klose <doko@debian.org>  Sat,  6 Aug 2005 01:09:15 +0200

gcc-defaults (1.27) unstable; urgency=high

  * Fix build for platforms with some compilers missing.

 -- Matthias Klose <doko@debian.org>  Wed,  3 Aug 2005 19:09:10 +0200

gcc-defaults (1.26) unstable; urgency=high

  * Depend on the 4.0.1 final release.
  * debian/control.m4: Remove.
  * debian/control: Add substitution variables.
  * debian/rules: Generate debian/*.substvars.

 -- Matthias Klose <doko@debian.org>  Thu, 21 Jul 2005 15:30:16 +0200

gcc-defaults (1.24) unstable; urgency=low

  * Build-depend on dpkg-dev (>= 1.13.9).

 -- Matthias Klose <doko@debian.org>  Fri,  8 Jul 2005 11:44:26 +0000

gcc-defaults (1.23) unstable; urgency=high

  * Make gcc-4.0 the default C compiler, g++-4.0 the default C++ compiler,
    gobjc-4.0 the default ObjC compiler, treelang-4.0 the default Treelang
    compiler, gcj-4.0 the default compiler for the Java language, and gij-4.0
    the default for the bytecode interpreter.
  * Add gfortran package, depending on gfortran-4.0, not available for m68k.


=== debian/control ===
Source: gcc-defaults
Section: devel
Priority: standard
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Standards-Version: 3.6.2
Build-Depends: m4, debhelper (>= 4.2), dpkg-dev (>= 1.13.9), gcc-3.4-base (>= 3.4.6), gcj-4.1-base (>= 4.1.1) [!hurd-i386], gcc-4.1-base (>= 4.1.1), lsb-release

Package: cpp
Architecture: any
Section: interpreters
Depends: cpp-${pv:cpp} ${reqv:cpp}
Suggests: cpp-doc
Conflicts: cpp-doc (<< 1:2.95.3)
Description: The GNU C preprocessor (cpp)
 The GNU C preprocessor is a macro processor that is used automatically
 by the GNU C compiler to transform programs before actual compilation.
 .
 This package has been separated from gcc for the benefit of those who
 require the preprocessor but not the compiler.
 .
 This is a dependency package providing the default GNU C preprocessor.

Package: g++
Architecture: any
Depends: cpp (>= ${version:cpp}), gcc (>= ${version:cpp}), g++-${pv:gpp} ${reqv:gpp}, gcc-${pv:gpp} ${reqv:gpp}
Provides: c++-compiler
Description: The GNU C++ compiler
 This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
 .
 This is a dependency package providing the default GNU C++ compiler.

Package: gobjc
Priority: optional
Architecture: any
Depends: cpp (>= ${version:cpp}), gcc (>= ${version:cpp}), gobjc-${pv:gobjc} ${reqv:gobjc}
Provides: objc-compiler
Description: The GNU Objective-C compiler
 This is the GNU Objective-C compiler, which compiles Objective-C on platforms
 supported by the gcc compiler. It uses the gcc backend to generate optimized
 code.
 .
 This is a dependency package providing the default GNU Objective-C compiler.

Package: gobjc++
Priority: optional
Architecture: any
Depends: cpp (>= ${version:cpp}), gcc (>= ${version:cpp}), gobjc++-${pv:gobjcxx} ${reqv:gobjcxx}
Recommends: g++ (>= ${version:cpp}), gobjc (>= ${version:cpp})
Provides: objc++-compiler
Description: The GNU Objective-C++ compiler
 This is the GNU Objective-C++ compiler, which compiles
 Objective-C++ on platforms supported by the gcc compiler. It uses the
 gcc backend to generate optimized code.
 .
 This is a dependency package providing the default GNU Objective-C++ compiler.

Package: g77
Priority: optional
Architecture: any
Depends: cpp (>= ${version:cpp}), gcc (>= ${version:gcc}), g77-${pv:g77} ${reqv:g77}
Suggests: g77-doc
Provides: fortran-compiler
Description: The GNU Fortran 77 compiler
 This is the GNU g77 Fortran compiler, which compiles Fortran 77 on platforms
 supported by the gcc compiler. It uses the gcc backend to generate optimized
 code.
 .
 This is a dependency package providing the default GNU Fortran 77 compiler.

Package: gfortran
Priority: optional
Architecture: any
Depends: cpp (>= ${version:cpp}), gcc (>= ${version:gcc}), gfortran-${pv:gfort} ${reqv:gfort}
Suggests: gfortran-doc
Provides: fortran-compiler
Description: The GNU Fortran 95 compiler
 This is the GNU Fortran 95 compiler, which compiles Fortran 95 on platforms
 supported by the gcc compiler. It uses the gcc backend to generate optimized
 code.
 .
 This is a dependency package providing the default GNU Fortran 95 compiler.

Package: gcj
Priority: optional
Architecture: any
Depends: cpp (>= ${version:cpp}), gij (>= ${version:gcj}), gcj-${pv:gcj} ${reqv:gcj}
Provides: java-compiler, libgcj-dev
Replaces: libgcj5-dev, libgcj6-dev, libgcj7-dev (<< 4.1.1-12)
Description: The GNU Java compiler
 GCJ is a front end to the GCC compiler which can natively compile both
 Java(tm) source and bytecode files. The compiler can also generate class
 files.
 .
 This is a dependency package providing the default GNU Java compiler.

Package: gij
Priority: optional
Architecture: any
Depends: libgcj-bc (>= ${version:libgcjbc}), gij-${pv:gij} ${reqv:gij}
Suggests: gcj (>= ${version:cpp})
Conflicts: libgcj2 (<= 3.0.2-4), java-gcj-compat (<< 1.0.56)
Provides: java-runtime, java1-runtime, java-virtual-machine
Description: The GNU Java bytecode interpreter
 GIJ is not limited to interpreting bytecode. It includes a class loader which
 can dynamically load shared objects, so it is possible to give it the name
 of a class which has been compiled and put into a shared library on the
 class path.
 .
 This is a dependency package providing the default GNU Java bytecode
 interpreter.

Package: libgcj-bc
Section: libs
Architecture: any
Priority: optional
Depends: ${pkg:libgcj} ${reqv:gij}
Description: Link time only library for use with gcj
 A fake library that is used at link time only.  It ensures that
 binaries built with the BC-ABI link against a constant SONAME.
 This way, BC-ABI binaries continue to work if the SONAME underlying
 libgcj.so changes.

Package: lib32gcj-bc
Section: libs
Architecture: amd64
Priority: optional
Depends: ${pkg:lib32gcj} ${reqv:gij}
Description: Link time only library for use with gcj (32bit)
 A fake library that is used at link time only.  It ensures that
 binaries built with the BC-ABI link against a constant SONAME.
 This way, BC-ABI binaries continue to work if the SONAME underlying
 libgcj.so changes.

Package: gpc
Priority: optional
Architecture: any
Depends: cpp (>= ${version:cpp}), gcc (>= ${version:cpp}), gpc-${pv:gpc} ${reqv:gpc}
Suggests: gpc-doc
Conflicts: gpc-doc (<< 1:2.95.3)
Provides: pascal-compiler
Description: The GNU Pascal compiler
 This is the GNU Pascal compiler, which compiles Pascal on platforms supported
 by the gcc compiler. It uses the gcc backend to generate optimized code.
 .
 The current version 2.2 (release candidate 2) implements Standard Pascal
 (ISO 7185, level 1), a large subset of Extended Pascal (ISO 10206), and
 Borland Pascal. Many Borland Pascal units supported.
 .
 This is a dependency package providing the default GNU Pascal compiler.

Package: gcc
Architecture: any
Depends: cpp (>= ${version:cpp}), gcc-${pv:gcc} ${reqv:gcc}
Recommends: libc6-dev | libc-dev
Suggests: make, manpages-dev, autoconf, automake1.9, libtool, flex, bison, gdb, gcc-doc
Provides: c-compiler
Conflicts: gcc-doc (<< 1:2.95.3)
Description: The GNU C compiler
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
 .
 This is a dependency package providing the default GNU C compiler.

Package: cpp-doc
Section: doc
Architecture: any
Priority: optional
Depends: cpp-${pv:cpp}-doc ${reqv:cpp}
Suggests: cpp (>= ${version:cpp})
Description: Documentation for the GNU C preprocessor (cpp)
 Documentation for the GNU C preprocessor in info format (dependency package).

Package: g77-doc
Architecture: any
Priority: optional
Depends: g77-${pv:g77}-doc ${reqv:g77}
Suggests: g77 (>= ${version:g77})
Description: Documentation for the GNU Fortran compiler (g77)
 Documentation for the GNU Fortran compiler in info format (dependency package).

Package: gfortran-doc
Section: doc
Architecture: any
Priority: optional
Depends: gfortran-${pv:gfort}-doc ${reqv:gfort}
Suggests: gfortran (>= ${version:gfort})
Description: Documentation for the GNU Fortran compiler (gfortran)
 Documentation for the GNU Fortran compiler in info format (dependency package).

Package: gpc-doc
Section: doc
Architecture: any
Priority: optional
Depends: gpc-${pv:gpc}-doc ${reqv:gpc}
Suggests: gpc (>= ${version:gpc})
Description: Documentation for the GNU Pascal compiler (gpc)
 Documentation for the GNU Pascal compiler in info format (dependency package).

Package: gcc-doc
Section: doc
Architecture: any
Priority: optional
Depends: gcc-${pv:gcc}-doc ${reqv:gcc}
Suggests: gcc (>= ${version:gcc})
Description: Documentation for the GNU C compilers (gcc, gobjc, g++)
 Documentation for the GNU compilers in info format (dependency package).

Package: gnat
Architecture: alpha amd64 hppa i386 ia64 mips mipsel powerpc s390 sparc kfreebsd-i386
Priority: optional
Depends: gnat-${pv:gcc}, cpp (>= ${version:cpp})
Conflicts: gnat-3.3, gnat-3.4, gnat-4.0, gnat-4.1 (<< 4.1.1-6)
Description: The GNU Ada compiler
 This is a dependency package providing the default GNU Ada compiler.
 Per policy, all packages that contain Ada sources must use this package
 in their Build-Depends line.

Package: gnat-doc
Section: doc
Architecture: any
Priority: optional
Depends: gnat-${pv:gcc}-doc ${reqv:gcc}
Suggests: gnat (>= ${version:gcc})
Description: Documentation for the GNU Ada compiler
 Documentation for the GNU Ada compiler in info and html format
 (dependency package).

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,26 @@
 
 ORIGVERSION=$(shell dpkg-parsechangelog | grep ^Version | sed -e 's/Version: //' -e 's/-[[:alnum:]]*$$//')
 
+jhome = /usr/lib32/jvm/java-1.4.2-gcj-4.1-1.4.2.0
+
+with_java = no
+with_java = yes
+
 build:
 #	./fetch-and-build
+
+copyright:
+	cp debian/copyright-header debian/copyright
+	find srcs -maxdepth 2 -type -d | xargs -r rm -rf
+	cd srcs; \
+	for i in *.dsc; do \
+	  dpkg-source -q -x $$i; \
+	  p=$$(echo $$i | sed 's/_.*$$//'); \
+	  echo ==================== $$p ====================; \
+	  cat $$p-[0-9]*/debian/copyright; \
+	  echo ''; \
+	  rm -rf $$p-[0-9]*; \
+	done | grep -v '^dpkg-source:' >> ../debian/copyright
 
 clean:
 	dh_testdir
@@ -28,15 +46,47 @@
 		mv debian/ia32-libs-openoffice.org/$$d debian/ia32-libs-openoffice.org/$${d}32 || true; \
 	done
 
-	rm -rf debian/ia32-libs-openoffice.org/usr/lib32/gcj-4.1
-	rm -f debian/ia32-libs-openoffice.org/usr/lib32/libgjsmalsa.so*
+	mv debian/ia32-libs-openoffice.org/usr/lib32/i686/cmov/* \
+		debian/ia32-libs-openoffice.org/usr/lib32/
+	rm -rf debian/ia32-libs-openoffice.org/usr/lib32/i?86
 
+	rm -f debian/ia32-libs-openoffice.org/usr/lib32/libgcj-tools*
+	rm -f debian/ia32-libs-openoffice.org/usr/lib32/gcj-4.1/*.la
+
+	rm -f debian/ia32-libs-openoffice.org/etc/ldap/ldap.conf
+
+ifeq ($(with_java),yes)
+	mv debian/ia32-libs-openoffice.org/usr/bin/*-4.1 .
+	rm -f gkeytool-4.1 gij-wrapper-4.1
+	rm -rf debian/ia32-libs-openoffice.org/etc/java
+endif
 	rm -rf debian/ia32-libs-openoffice.org/usr/include \
 		debian/ia32-libs-openoffice.org/usr/share \
 		debian/ia32-libs-openoffice.org/usr/sbin \
 		debian/ia32-libs-openoffice.org/sys \
 		debian/ia32-libs-openoffice.org/sbin \
-		debian/ia32-libs-openoffice.org/usr/bin
+		debian/ia32-libs-openoffice.org/usr/bin/*
+ifneq ($(with_java),yes)
+	rm -rf debian/ia32-libs-openoffice.org/usr/bin
+endif
+ifeq ($(with_java),yes)
+	for i in *-4.1; do \
+		mv $$i debian/ia32-libs-openoffice.org/usr/bin/ia32-$$i; \
+	done
+	rm -f debian/ia32-libs-openoffice.org$(jhome)/bin/keytool
+	rm -f debian/ia32-libs-openoffice.org$(jhome)/bin/jar
+	rm -f debian/ia32-libs-openoffice.org$(jhome)/jre/bin/keytool
+	rm -f debian/ia32-libs-openoffice.org$(jhome)/jre/bin/jar
+	dh_link -v \
+	  /usr/bin/ia32-gij-4.1 $(jhome)/bin/gij \
+	  /usr/bin/ia32-gij-4.1 $(jhome)/bin/java \
+	  /usr/bin/ia32-gcj-dbtool-4.1 $(jhome)/bin/gcj-dbtool \
+	  /usr/bin/ia32-grmiregistry-4.1 $(jhome)/bin/rmiregistry \
+	  /usr/bin/ia32-gij-4.1 $(jhome)/jre/bin/gij \
+	  /usr/bin/ia32-gij-4.1 $(jhome)/jre/bin/java \
+	  /usr/bin/ia32-gcj-dbtool-4.1 $(jhome)/jre/bin/gcj-dbtool \
+	  /usr/bin/ia32-grmiregistry-4.1 $(jhome)/jre/bin/rmiregistry
+endif
 
 	dh_installdirs
 	# Fix symlinks.
@@ -49,6 +99,8 @@
 	echo -e "# packages used in the creation of ia32-libs-openoffice.org\n" > \
 	debian/ia32-libs-openoffice.org/usr/share/doc/ia32-libs-openoffice.org/Manifest
 	(cd pkgs; /bin/ls *.deb) >> debian/ia32-libs-openoffice.org/usr/share/doc/ia32-libs-openoffice.org/Manifest
+
+	-find debian/ia32-libs-openoffice.org -type d -empty -delete
 
 binary-indep:
